LibreOffice LibreOffice 25.2 SDK API Reference

Public Types | Public Member Functions | Public Attributes | List of all members
XCsvLogFormatter Interface Reference

specifies the interface used for formatting log records for RFC4180 CSV output More...

`import"XCsvLogFormatter.idl";`

Inheritance diagram for XCsvLogFormatter:

## Public Types
typedef sequence< string > | Columnnames
| Defines the names of the additional columns this defaults to only one row titled "message". More...

## Public Member Functions
string | formatMultiColumn ([in] sequence< string > columnData)
| if the CsvLogFormatter is set to have more than one column, any logged information has to be send through this method before calling log(). More...
Public Member Functions inherited from XLogFormatter
string | getHead ()
| returns the header string for the log More...
string | format ([in] LogRecord Record)
| formats the given log record for output More...
string | getTail ()
| returns the footer string for the log More...

## Public Attributes
boolean | LogEventNo
| Defines if the EventNo should be logged. More...
boolean | LogThread
| Defines if the ThreadId should be logged. More...
boolean | LogTimestamp
| Defines if the Timestamp should be logged. More...
boolean | LogSource
| Defines if the Source should be logged. More...

## Detailed Description

specifies the interface used for formatting log records for RFC4180 CSV output

See also
  XLogFormatter, XLogHandler

Since
  OOo 3.0

## Member Typedef Documentation

## ◆ Columnnames

sequence< string > Columnnames
| attribute

Defines the names of the additional columns this defaults to only one row titled "message".

if this is set to more than one column, the messages need to be preformatted using `formatMultiColumn`

## Member Function Documentation

## ◆ formatMultiColumn()

string formatMultiColumn | ( | [in] sequence< string > | columnData | ) |

if the CsvLogFormatter is set to have more than one column, any logged information has to be send through this method before calling log().

E.g.:

`XLoggerInstance.log(1000, XCsvLogFormatterInstance.formatMultiColumn(columnData))`

## Member Data Documentation

## ◆ LogEventNo

boolean LogEventNo
| attribute

Defines if the EventNo should be logged.

## ◆ LogSource

boolean LogSource
| attribute

Defines if the Source should be logged.

## ◆ LogThread

boolean LogThread
| attribute

Defines if the ThreadId should be logged.

## ◆ LogTimestamp

boolean LogTimestamp
| attribute

Defines if the Timestamp should be logged.

The documentation for this interface was generated from the following file:

- com/sun/star/logging/XCsvLogFormatter.idl